org.eclipse.graphiti.ui.internal.figures

## Class ImageFigureAntialias

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.AbstractImageFigure
    - - org.eclipse.draw2d.ImageFigure
      - - org.eclipse.graphiti.ui.internal.figures.ImageFigureAntialias

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure, org.eclipse.draw2d.IImageFigure

Direct Known Subclasses:
  DecoratorImageFigure, GFImageFigure

    public class ImageFigureAntialias
    extends org.eclipse.draw2d.ImageFigure

A simple subclass of ImageFigure, which allows to set the antialias value to be used when painting the Image.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IImageFigure

`org.eclipse.draw2d.IImageFigure.ImageChangedListener`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`ImageFigureAntialias()` Creates a new ImageFigureAntialias.
`ImageFigureAntialias(Image image)` Creates a new ImageFigureAntialias for the given image.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAntialias()` Returns the antialias value set for this figure.
`void` `paintFigure(org.eclipse.draw2d.Graphics graphics)` Paints this figure.
`void` `setAntialias(int antialias)` Sets the antialias value for this figure.

### Methods inherited from class org.eclipse.draw2d.ImageFigure

`getImage, getPreferredSize, setAlignment, setImage`

### Methods inherited from class org.eclipse.draw2d.AbstractImageFigure

`addImageChangedListener, removeImageChangedListener`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Constructor Detail

#### ImageFigureAntialias

    public ImageFigureAntialias()

Creates a new ImageFigureAntialias.

#### ImageFigureAntialias

    public ImageFigureAntialias(Image image)

Creates a new ImageFigureAntialias for the given image.

Parameters:
  `image` - The image for which to create this figure.

### Method Detail

#### getAntialias

    public int getAntialias()

Returns the antialias value set for this figure.

Returns:
  The antialias value set for this figure.
See Also:
  `Graphics.setAntialias(int)`

#### setAntialias

    public void setAntialias(int antialias)

Sets the antialias value for this figure.

Parameters:
  `antialias` - The antialias value to set.
See Also:
  `Graphics.setAntialias(int)`

#### paintFigure

    public void paintFigure(org.eclipse.draw2d.Graphics graphics)

Paints this figure. First it sets the antialias value, then `super.paintFigure(Graphics)` is called.

Overrides:
  `paintFigure` in class `org.eclipse.draw2d.ImageFigure`
Parameters:
  `graphics` - The graphics on which to paint this figure.